Download it now!
Bug 100191 - crash: switch to Display Mode: Notes via toolbar
Summary: crash: switch to Display Mode: Notes via toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2016-06-02 11:35 UTC by JoNi
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (10.05 KB, text/plain)
2016-06-02 11:35 UTC, JoNi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JoNi 2016-06-02 11:35:34 UTC
Created attachment 125454 [details]
backtrace

Impress crashes when switching to Notes, Display Mode

to reproduce:
* open a new impress document
* in the standard toolbar click Display Modes
* select Edit Modes, Notes
-> crash

Linux 64bit, build fe10783e4abd5509676c777c7aa6f172ab3a8bf6 (Wed, 1 Jun 2016 20:51:46 +0200)

didn't try newer builds
attached backtrace
Comment 1 Commit Notification 2016-06-02 13:12:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5d8dc12fcf64fbbefadefbe863c772dc9134d38

Resolves: tdf#100191 crash: switch to Display Mode: Notes via toolbar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-02 13:16:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db5498031c033bef32ba0714279db9ecfb7b860a&h=libreoffice-5-2

Resolves: tdf#100191 crash: switch to Display Mode: Notes via toolbar

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 JoNi 2016-06-02 21:01:33 UTC
thank you for the fast fix.
verified fixed on master